<template>
  <div class="row mt-3 mb-2">
    <div class="row" v-if="explainText">
      <div class="col-12 mb-3 font-weight-bold">Anhand der Hintergrundfarbe der für die Vorhersage verwendeten Faktoren
        wird der Einfluss des jeweiligen Faktorwertes auf die Vorhersage angezeigt.
      </div>
      <div class="col-3 offset-1 justify-content-center d-flex mb-0">
        <i class="fa fa-arrow-left mr-3" aria-hidden="true"></i>
        <p>Je <b>röter</b>, desto <b>positiver</b> der Einfluss auf die Vorhersage</p>
      </div>
      <div class="col-4 justify-content-center d-flex mb-0">
        <p>kein Einfluss auf die Vorhersage</p>
      </div>
      <div class="col-3  justify-content-center d-flex mb-0">
        <p>Je <b>blauer</b>, desto <b>negativer</b> der Einfluss auf die Vorhersage</p>
        <i class="fa fa-arrow-right ml-3" aria-hidden="true"></i>
      </div>
      <div class="col-12 justify-content-center d-flex mb-2">
        <i class="fa fa-arrow-down" aria-hidden="true"></i>
      </div>
    </div>
    <div class="col-5 offset-1 colourscale-red"></div>
    <div class="col-5 colourscale-blue"></div>
  </div>
</template>

<script>
export default {
  name: 'ColourScale',
  props: [
    'explainText'
  ]
}
</script>

<style scoped>

</style>
